summaryrefslogtreecommitdiff
path: root/usr/src/make_src/exe
diff options
context:
space:
mode:
authorIgor Pashev <igor.pashev@nexenta.com>2012-06-29 14:36:07 +0400
committerIgor Pashev <igor.pashev@nexenta.com>2012-06-29 14:36:07 +0400
commite0463df9c3d2ee6155221cc443c571d5da47098a (patch)
tree5c6b99e64c1b65d986e2722728c74f202a578be6 /usr/src/make_src/exe
downloadsunmake-orig.tar.gz
Initial import of DevPro make sourcesorig
Downloaded from http://dlc.sun.com/osol/devpro/downloads/current/ Licensed under CDDL http://www.opensource.org/licenses/CDDL-1.0
Diffstat (limited to 'usr/src/make_src/exe')
-rw-r--r--usr/src/make_src/exe/options.sh105
-rw-r--r--usr/src/make_src/exe/sanity-check.sh60
-rw-r--r--usr/src/make_src/exe/variant.sh55
3 files changed, 220 insertions, 0 deletions
diff --git a/usr/src/make_src/exe/options.sh b/usr/src/make_src/exe/options.sh
new file mode 100644
index 0000000..738e6c2
--- /dev/null
+++ b/usr/src/make_src/exe/options.sh
@@ -0,0 +1,105 @@
+#! /bin/sh
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright 2003 Sun Microsystems, Inc. All rights reserved.
+# Use is subject to license terms.
+#
+# @(#)options.sh 1.27 06/12/12
+#
+
+##-----------------------------------------------------------------
+## Build options
+## TeamWare can be built with different options:
+## OPTION DEFAULT SWITCH
+## -g debugging OFF debug-$variant.opt
+## -g & -DDEBUG debugging OFF DEBUG-$variant.opt
+## licensing enabled ON no_license.opt
+## build source browser info OFF sb-$variant.opt
+## usage tracking enabled OFF usage_tracking.opt
+##
+## Note that those with $variant in their names are variant-specific.
+##
+## To change the default value of any option, create a file in $(TOP) with the
+## name of the switch. E.g., to create a workspace with debugging enabled,
+## create the file
+## $(TOP)/debug.opt
+## before doing a make. The make need not be done for the entire workspace.
+##
+## Switches are set in places where they are needed.
+##
+## Note that the ability to disable licensing is commented out in the places
+## where it is (currently, Jan 24 1996, used): lib/{cli,mgui}/src/Makefile
+## so that we don't accidentally ship with licensing disabled. You also will have
+## to manually make the switch in $(TOP)/exe executable.
+
+
+echo '# This file is generated by $(TOP)/exe/options.sh'
+echo "# *** DO NOT EDIT THIS FILE DIRECTLY ***"
+
+TOP=$1
+VARIANT=$2
+
+echo " "
+echo "# Debug options"
+echo "#"
+if [ -f $TOP/DEBUG-$VARIANT.opt ]; then
+ echo CFLAGS +=-g
+ echo CCFLAGS +=-g
+ echo CPPFLAGS += -DDEBUG
+ echo DEBUGLIB = -g
+ echo 'MOTIF_LD_RUN_PATH += -R$(CCR_ROOT_AUX)/$(VARIANT)/lib:$(CCR_ROOT)/$(VARIANT)/lib'
+elif [ -f $TOP/debug-$VARIANT.opt ]; then
+ echo CFLAGS +=-g
+ echo CCFLAGS +=-g
+ echo DEBUGLIB = -g
+ echo 'MOTIF_LD_RUN_PATH += -R$(CCR_ROOT_AUX)/$(VARIANT)/lib:$(CCR_ROOT)/$(VARIANT)/lib'
+else
+ echo CFLAGS +=-O
+ echo CCFLAGS +=-O
+ echo CPPFLAGS += -DNDEBUG
+ echo LDFLAGS += -norunpath -i -s
+ echo BDYNAMIC = -Bdynamic
+ echo BSTATIC = -Bstatic
+fi
+
+if [ -f $TOP/no_license.opt ]; then
+ echo " "
+ echo "# Licensing options"
+ echo "#"
+ echo -DTW_LICENSE
+fi
+
+if [ -f $TOP/sb-$VARIANT.opt ]; then
+ echo " "
+ echo "# Source Browser options"
+ echo "#"
+ echo CFLAGS += -sb
+ echo CCFLAGS += -sb
+fi
+
+if [ -f $TOP/usage_tracking.opt ]; then
+ echo " "
+ echo "# Usage tracking options"
+ echo "#"
+ echo CPPFLAGS += -DUSAGE_TRACKING
+fi
+
+echo CCFLAGS += -D_FILE_OFFSET_BITS=64
diff --git a/usr/src/make_src/exe/sanity-check.sh b/usr/src/make_src/exe/sanity-check.sh
new file mode 100644
index 0000000..f59def8
--- /dev/null
+++ b/usr/src/make_src/exe/sanity-check.sh
@@ -0,0 +1,60 @@
+#! /bin/sh
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright 1996 Sun Microsystems, Inc. All rights reserved.
+# Use is subject to license terms.
+#
+# @(#)sanity-check.sh 1.6 06/12/12
+#
+
+# Run a sanity check on $1. Sanity is loosely defined as "ok to ship to a customer".
+# Currently checks for the following:
+# no forbidden RPATH
+# no forbidden shared libraries
+# Since sanity is only important for those things we ship to customers, don't
+# check it on debugging builds.
+
+top=$1
+variant=`/bin/sh $top/exe/variant.sh`
+if [ -f $top/debug-$variant.opt ]; then
+ exit 0
+fi
+
+prog=$2
+status=0
+
+/usr/ccs/bin/dump -Lv $prog \
+ | /bin/grep RPATH | \
+ /bin/egrep 'net|export|set' > /dev/null
+if [ $? -eq 0 ]; then
+ echo Error: $prog has forbidden RPATH
+ /usr/ccs/bin/dump -Lv $prog | /bin/grep RPATH
+ status=1
+fi
+
+/bin/ldd $prog |/bin/egrep 'libC|libsunmath|net|export|set' > /dev/null
+if [ $? -eq 0 ]; then
+ echo Error: $prog has forbidden libraries
+ /bin/ldd $prog |/bin/egrep 'libC|libsunmath|net|export|set'
+ status=2
+fi
+
+exit $status
diff --git a/usr/src/make_src/exe/variant.sh b/usr/src/make_src/exe/variant.sh
new file mode 100644
index 0000000..d2fdaa1
--- /dev/null
+++ b/usr/src/make_src/exe/variant.sh
@@ -0,0 +1,55 @@
+#!/bin/sh
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright 2006 Sun Microsystems, Inc. All rights reserved.
+# Use is subject to license terms.
+#
+# @(#)variant.sh 1.3 06/12/12
+#
+
+
+
+# Author: Achut Reddy
+# Date: Fri Nov 4 12:00:24 PST 1994
+
+# Handle HP-UX separately
+sys=`uname -s`
+case $sys in
+HP-UX)
+ echo hp-ux
+ exit 0;
+ ;;
+esac
+
+mach=`(mach || uname -p) 2> /dev/null`
+case $mach in
+i?86)
+ mach=intel ;;
+esac
+
+rel=`uname -r`
+case $rel in
+5*) os=S2;;
+4*) os=S1;;
+*) os=UNKNOWN;;
+esac
+
+echo ${mach}-${os}